Jump to content
Nokioteca Forum

Guida Per File Mancanti In Aggiornamento App


ghostfox
 Share

Recommended Posts

Ragazzi tramite M.I. si è scoperto il comando, a molti probabilmente sconosciuto,

che permette di aggiornare tutte le librerie del terminale, in modo da avere tutte le ultime e complete necessarie

alla corretta installazione di moltissimi software che,prima, non proseguivano l'installazione per mancanza di file,appunto alcune lib.

punto come sempre andiamo ad utilizzare X-term.

imagean.png

digitiamo il comando root e invio. ora digitiamo il comando apt-get install libqt4* per verificare che tutte le lib QT siano ok.

image1vs.png

successivamente digitiamo,come nell screen

il comando apt-get upgrade (necessaria la connessione ad internet)

ATTENZIONE: COME TUTTI I COMANDI DI X-TERMINAL,LA RICHIESTA PER PROSEGUIRE

CI VERRà DATA IN INGLESE > ovvero Y/N ... dovete RISPONDERE IN ITALIANO! OVVERO S/N.

image2km.png

questo dovrebbe essere il proseguimento,con verifica e aggiornamenti in corso che visualizzere sul

vostro schermo.

image3zr.png

ora abbiamo finito e il cursore si è riposizionato al punto iniziale.

a questo punto riavviate il cellulare, e provate ad aggiornare le app che prima vi davano errori di

mancanza di file necessari per l'aggiornamento.

saluti,

Ghostfox

Edited by ghostfox
Link to comment
Share on other sites

Veramente questo comando lo si conosceva da praticamente sempre! Quando ho scoperto che era piattaforma linux la prima cosa che ho fatto è stato provare tutti gli apt-get. Install, remove, upgrade.

Ma nonostante questo fino a ieri sera diverse applicazioni da catalogo non sono riuscito ad installarle perché mancavano delle librerie.

Credo che alcune siano proprio MISSING.

Link to comment
Share on other sites

Veramente questo comando lo si conosceva da praticamente sempre! Quando ho scoperto che era piattaforma linux la prima cosa che ho fatto è stato provare tutti gli apt-get. Install, remove, upgrade.

Ma nonostante questo fino a ieri sera diverse applicazioni da catalogo non sono riuscito ad installarle perché mancavano delle librerie.

Credo che alcune siano proprio MISSING.

si,per chi conosce linux da un pò ovviamente... :)

ma molta gente, credo la maggiorparte, ha preso l'n900 senza conoscere linux, visto che in realtà non

si sapeva che l'uso di x-terminal fosse cosi "determinante" per l'uso di questo terminale...

ma fidati che la maggiorparte, non lo conosce. :)

al massimo ho fatto un thread inutile.. però anche se servisse a uno solo, tanto meglio per lui. ;)

Link to comment
Share on other sites

I problemi attuali che hanno alcuni programmi con le librerie sono dovuti al fatto che le versioni -devel e -testing sono state aggiornate per usare le QT 4.6 presenti del nuovo SDK e che avremo nel firmware PR1.2... che Nokia non ha ancora rilasciato!

Quindi l'SDK e il telefono sono disallineati come librerie, per forza ci sono problemi con i software aggiornati di recente.

Io ho i repository instabili disattivati e non ho avuto problemi di librerie con alcun programma.

Link to comment
Share on other sites

Domanda da principiante che più principiante di così si muore: le librerie libqt4 vanno ad installarsi nella rootfs? Perchè a me dice che deve scaricare aggiornamenti per quasi 26mb, e non vorrei inchiodare di brutto il telefono riempendo la memoria di sistema.

Link to comment
Share on other sites

Domanda da principiante che più principiante di così si muore: le librerie libqt4 vanno ad installarsi nella rootfs? Perchè a me dice che deve scaricare aggiornamenti per quasi 26mb, e non vorrei inchiodare di brutto il telefono riempendo la memoria di sistema.

posso dirti che non sono utilizzabili.. però da quel che so, non mi sono trovato la root piu piena dopo averle installate..non posso darti piena certezza che siano completamente Optizzate.

Link to comment
Share on other sites

ho provato a fare ciò che hai ben spiegato ma mi dice che non posso installare i file mancanti. non mi propone la maschera che tu hai evidenziato, cioè quella dove dovrei inserire "S" ecc....

cosa posso fare?

se qualcuno mi aiuta lo ringrazio anticipatamente...

grazie

Link to comment
Share on other sites

si,per chi conosce linux da un pò ovviamente... ;)

ma molta gente, credo la maggiorparte, ha preso l'n900 senza conoscere linux, visto che in realtà non

si sapeva che l'uso di x-terminal fosse cosi "determinante" per l'uso di questo terminale...

ma fidati che la maggiorparte, non lo conosce. :D

al massimo ho fatto un thread inutile.. però anche se servisse a uno solo, tanto meglio per lui. :thumbs:

Parole Sante Fratello,

Parole Sante

l'ignoranza sul linux è massima e la mia va oltre

Edited by lorevan
Link to comment
Share on other sites

dopo aver digitato: apt-get install libqt4 mi dice:

E:couldn't find package libqt4

cosa devo fare? Aiutatemi per favore....

primo devi essere sicuro di essere connesso ad internet

secondo può essere che i repository siano offline per il momento quindi riprova magari il giorno dopo

prova cmq a fare il comando pat-get upgrade... magari risolvi lo stesso.

saluti,

Ghostfox

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...

Important Information

Questo sito utilizza i cookie per analisi, contenuti personalizzati e pubblicità. Continuando la navigazione, accetti l'utilizzo dei cookie da parte nostra | Privacy Policy